<!DOCTYPE html>
<html lang="es" xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />

	<script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>

</head>

<body>
  <div class="container-scroller">
<!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
    <div class="main-panel">
        <div class="content-wrapper">
        <div class="row">
          <div class="col-lg-3 grid-margin stretch-card"></div>
          <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                	<div th:if="${Usuario.getUsua_Id()==null}"> 
                  		<h4 class="card-title">Insertar Usuario</h4>     		                  	
		                  <p class="card-description">
		                    Insertar los datos del usuario 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form  class="forms-sample" th:action="@{/seguridad/usuarioRegistro}" th:object="${Usuario}" method="POST"
		                  accept-charset="UTF-8">
		                    <div class="form-group">
		                      <label for="exampleInputAlias">Alias</label>		                      
		                      <input type="text" class="form-control" id="exampleInputAlias" placeholder="Alias"
		                       th:field="*{usua_Alias}" th:value="${usua_Alias}">
							  <div class="alert alert-warning" th:errors="*{usua_Alias}"></div>
		                    </div> 
							  
		                    <div class="form-group">
		                      <label for="exampleInputNombres">Nombres</label>
		                      <input type="text" class="form-control" id="exampleInputNombres" placeholder="Nombres"
		                      th:field="*{usua_Nombres}" th:value="${usua_Nombres}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('usua_Nombres')}" th:errors="*{usua_Nombres}"></div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputApellidos">Apellidos</label>
		                      <input type="text" class="form-control" id="exampleInputApellidos" placeholder="Apellidos"
		                      th:field="*{usua_Apellidos}" th:value="${usua_Apellidos}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('usua_Apellidos')}" th:errors="*{usua_Apellidos}">
		                    </div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputCorreo">Correo</label>
		                      <input type="text" class="form-control" id="exampleInputCorreo" placeholder="Correo"
		                      th:field="*{usua_Correo}" th:value="${usua_Correo}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('usua_Correo')}" th:errors="*{usua_Correo}">
		                    </div>
		                    </div>
		                    <div class="form-group">
		                    	<label for="exampleInputPerfil">Perfil</label>
							    <select class="form-control" th:field="*{perf_Id}" id="exampleInputPerfil">
							    <option value="0">--Seleccione--</option>
							    <option th:each="Perfil : ${listaperfiles}" th:value="${Perfil.perf_Id}" th:text="${Perfil.perf_Nombre}"></option>
							    </select>
							    <div class="alert alert-warning" th:if="${#fields.hasErrors('perf_Id')}" th:errors="*{perf_Id}">
							</div>
		                    </div>
		      				<div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{usua_Activo}" th:value="${usua_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		  
		                    <button type="submit" class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;">Crear</button>
		                    <a th:href="@{/seguridad/usuario}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
		                  </form>
                  	</div> 
                  	<div th:if="${Usuario.getUsua_Id()!=null}"> 
                  		<h4 class="card-title">Actualizar Usuario</h4>	                  	
		                  <p class="card-description">
		                    Actualizar los datos del usuario 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form class="forms-sample" th:action="@{/seguridad/usuarioRegistro/} + ${Usuario.usua_Id}" th:object="${Usuario}" 
		                  method="POST" accept-charset="UTF-8">
		                  	<input type="hidden" th:field="*{usua_Id}"></input>
		     
		                    <div class="form-group">
		                      <label for="exampleInputAlias">Alias</label>		                      
		                      <input type="text" class="form-control" id="exampleInputAlias" placeholder="Alias"
		                       th:field="*{usua_Alias}">
							  <div class="alert alert-warning" th:errors="*{usua_Alias}"></div>
		                    </div> 
		                    <div class="form-group">
		                      <label for="exampleInputNombres">Nombres</label>
		                      <input type="text" th:field="*{usua_Nombres}" class="form-control" id="exampleInputNombres" placeholder="Nombres"
		                    
		                      >
		                      <div class="alert alert-warning" th:errors="*{usua_Nombres}"></div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputApellidos">Apellidos</label>
		                      <input type="text" th:field="*{usua_Apellidos}" class="form-control" id="exampleInputApellidos" placeholder="Apellidos"
		                     
		                      >
		                      <div class="alert alert-warning" th:errors="*{usua_Apellidos}"></div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputCorreo">Correo</label>
		                      <input type="email" th:field="*{usua_Correo}" class="form-control" id="exampleInputCorreo" placeholder="Correo"
		                     
		                      >
		                       <div class="alert alert-warning" th:errors="*{usua_Correo}"></div>
		                    </div>
		               		<div class="form-group">
		               			<label for="exampleInputPerfil">Perfil</label>
							    <select class="form-control" th:field="*{perf_Id}"  id="dropOperator">
							    <option value="0">--Seleccione--</option>
							    <option th:each="Perfil : ${listaperfiles}" th:value="${Perfil.perf_Id}" th:text="${Perfil.perf_Nombre}"
							    th:selected="${Perfil.perf_Id==2}"
							    ></option>
							    </select>
							    <div class="alert alert-warning" th:if="${#fields.hasErrors('perf_Id')}" th:errors="*{perf_Id}">
							</div>
		               		</div>
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{usua_Activo}" th:value="${usua_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		                    <button type="submit" class="btn btn-primary mr-2">Actualizar</button>
		                    <a th:href="@{/seguridad/usuario}" class="btn btn-light">Cancelar</a>
		                  </form>
                  	</div>  
                </div>
              </div>
            </div>
        </div>

		<layouttag th:include="fragments/common :: footer" />

      </div>
    </div>
  </div>

   <script src="../../paginador/usuario.js"></script>


  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
